Get License
Retrieve information about a license by its code.
Endpoint: GET /license/{code}
Headers:
Authorization: Bearer <admin_api_key>(required)
Path Parameters:
code- The license code
Response:
{
"application_id": "123e4567-e89b-12d3-a456-426614174000",
"id": "456e7890-e89b-12d3-a456-426614174000",
"code": "ABC123-XYZ789",
"is_credentials_license": false,
"limited_to_minutes": 43200,
"add_on": {
"id": "aaa11111-e89b-12d3-a456-426614174000",
"key": "pro-features",
"name": "Pro features",
"is_deleted": false
},
"activated_by_user_id": "789e0123-e89b-12d3-a456-426614174000"
}Fields:
is_credentials_license- If true, this license is used as login credentials (not username/password)limited_to_minutes- Duration the license grants in minutes (null = lifetime)add_on- The add-on this license grants (null = main membership)activated_by_user_id- The user who activated this license (null if not yet activated)
Errors:
401- Invalid Admin API Key404- License not found
Last updated on